## TeplPanelItem TeplPanelItem — Access to the information of a panel item |

## Functions

GtkWidget * | tepl_panel_item_get_widget ()
const gchar * | tepl_panel_item_get_name ()
const gchar * | tepl_panel_item_get_title ()
const gchar * | tepl_panel_item_get_icon_name ()
gint | tepl_panel_item_compare_by_title ()

## Types and Values

| TeplPanelItem
struct | TeplPanelItemInterface

## Object Hierarchy

        GInterface
        ╰── TeplPanelItem

## Prerequisites

TeplPanelItem requires GObject.

## Includes

    #include <tepl/tepl.h>

## Description

TeplPanelItem is an interface to get the information of a panel item.

## Functions

### tepl_panel_item_get_widget ()

    GtkWidget *
    tepl_panel_item_get_widget (TeplPanelItem *item);

Gets the GtkWidget (the main content).

#### Parameters

item | a TeplPanelItem. |

#### Returns

the "widget" attribute. Is `NULL` when the widget has been destroyed.

[transfer none][nullable]

Since: 6.8

### tepl_panel_item_get_name ()

    const gchar *
    tepl_panel_item_get_name (TeplPanelItem *item);

Gets the name. It is an ID as a UTF-8 string. It is not displayed in the UI. It uniquely identifies an item within a list.

#### Parameters

item | a TeplPanelItem. |

#### Returns

the "name" attribute.

[nullable]

Since: 6.8

### tepl_panel_item_get_title ()

    const gchar *
    tepl_panel_item_get_title (TeplPanelItem *item);

Gets the title. It is a human-readable UTF-8 string that can be shown in the UI to choose this item.

#### Parameters

item | a TeplPanelItem. |

#### Returns

the "title" attribute.

[nullable]

Since: 6.8

### tepl_panel_item_get_icon_name ()

    const gchar *
    tepl_panel_item_get_icon_name (TeplPanelItem *item);

Gets the icon name. It can be shown in the UI to choose this item, for example with the GtkImage's “icon-name” property.

#### Parameters

item | a TeplPanelItem. |

#### Returns

the "icon-name" attribute.

[nullable]

Since: 6.8

### tepl_panel_item_compare_by_title ()

    gint
    tepl_panel_item_compare_by_title (TeplPanelItem *a,
                                      TeplPanelItem *b);

A GCompareFunc for the TeplPanelItem's "title" attribute.

#### Parameters

a | a TeplPanelItem. |
b | a TeplPanelItem. |

#### Returns

the usual return value for a GCompareFunc.

Since: 6.8

## Types and Values

### TeplPanelItem

    typedef struct _TeplPanelItem TeplPanelItem;

### struct TeplPanelItemInterface

    struct TeplPanelItemInterface {
    	GTypeInterface parent_interface;

    	GtkWidget * (*get_widget)		(TeplPanelItem *item);

    	const gchar * (*get_name)		(TeplPanelItem *item);

    	const gchar * (*get_title)		(TeplPanelItem *item);

    	const gchar * (*get_icon_name) (TeplPanelItem *item);
    };

The virtual function table for TeplPanelItem.

#### Members

GTypeInterface `parent_interface`; | The parent interface. |
`get_widget` () | The virtual function pointer for `tepl_panel_item_get_widget()`. By default, returns `NULL`. |
`get_name` () | The virtual function pointer for `tepl_panel_item_get_name()`. By default, returns `NULL`. |
`get_title` () | The virtual function pointer for `tepl_panel_item_get_title()`. By default, returns `NULL`. |
`get_icon_name` () | The virtual function pointer for `tepl_panel_item_get_icon_name()`. By default, returns `NULL`. |

Since: 6.8